%define name	gtk+
%define version	1.2.10

%define major    	1.2
%define libname  	%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X
Name:		%{name}
Version:	%{version}
Release:	%mkrel 51
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gimp.org/pub/gtk/v1.2/gtk+-%{version}.tar.xz

Source1:	gtkrc-default
Source2:	gtk+-pofiles.tar.gz
Source3:	gtkrc.ja.utf8
Source4:	gtkrc.ko.utf8
Source5:	gtkrc.zh_CN.utf8
Source6:	gtkrc.zh_TW.utf8

Patch1:		gtk+-1.2.10-ahiguti.patch
Patch5:		gtk+-1.2.8-wrap-alnum.patch
Patch10:	gtk+-1.2.10-alignment.patch
Patch11:	gtk+-1.2.10-expose.patch
Patch12:	gtk+-1.2.10-focus.patch
Patch13:	gtk+-1.2.10-encoding.patch
Patch14:	gtk+-1.2.10-ctext.patch
Patch15:	gtk+-1.2.10-utf8fontset.patch
Patch16:	gtk+-1.2.10-kpenter.patch
Patch17:	gtk+-1.2.10-themeswitch.patch
Patch18:	gtk+-1.2.10-pixmapref.patch
Patch19:	gtk+-1.2.10-missingchar.patch
Patch20:	gtk+-1.2.10-ukfont.patch
Patch21:	gtk+-1.2.10-deletedir.patch
Patch22:	gtk+-1.2.10-fontwarning.patch
Patch23:	gtk+-1.2.10-troughpaint.patch
Patch24:	gtk+-1.2.10-localecrash.patch
Patch26:	gtk+-1.2.10-dndorder.patch
Patch27:	gtk+-1.2.10-clistfocusrow.patch
Patch28:	gtk+-1.2.10-bellvolume.patch
Patch29:	gtk+-1.2.10-libtool.patch
Patch30:	gtk+-1.2.10-gtkgdkdep.patch
Patch31:	gtk+-underquoted.patch
Patch32:	gtk+-1.2.10-ppc64.patch
Patch33:	gtk+-1.2.10-no_undefined.patch
Patch34:	gtk+-1.2.10-multilib.patch
Patch35:	gtk+-1.2.10-unused-deps.patch
Patch36:	gtk+-1.2.10-autotools.patch
Patch37:	gtk+-1.2.10-format.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gtk.org
BuildRequires:	X11-devel
BuildRequires:	autoconf2.1
BuildRequires:	automake1.4
BuildRequires:	libtool
BuildRequires:	glib-devel >= %{version}

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well. This is GTK+ 
1.2, a legacy version. The current version is GTK+ 2.

%package -n	%{libname}
Summary:	Main library for gtk+
Group:		System/Libraries
Provides:	gtk+ = %{version}-%{release}
Obsoletes:	gtk+

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n	%{develname}
Summary:	Development tools for GTK+ (GIMP ToolKit) applications
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes:	gtk-devel
Requires(post,preun):	info-install
Provides:	gtk-devel = %{version}-%{release}
Provides:	gtk+-devel = %{version}-%{release}
Provides:	libgtk+-devel = %{version}-%{release}
Provides:	gtk+%{major}-devel = %{version}-%{release}
Obsoletes:	gtk+-devel
Obsoletes:	%{mklibname gtk+ 1.2 -d}

%description -n	%{develname}
The libgtk+1.2-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The %{develname}
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set). Install %{develname} if you need to develop GTK+ 
applications. This is GTK+ 1.2, a legacy version. The current version is
GTK+ 2.

%prep
%setup -q

%setup -q -a 2

%patch1 -p1 -b .ahiguti
%patch5 -p1 -b .alnum
%patch10 -p1 -b .alignment
%patch11 -p1 -b .expose
%patch12 -p1 -b .focus
%patch13 -p1 -b .encoding
%patch14 -p1 -b .ctext
%patch15 -p1 -b .utf8fontset
%patch16 -p1 -b .kpenter
%patch17 -p1 -b .themeswitch
%patch18 -p1 -b .pixmapref
%patch19 -p1 -b .missingchar
%patch20 -p1 -b .ukfont
%patch21 -p1 -b .deletedir
%patch22 -p1 -b .fontwarning
%patch23 -p0 -b .troughpaint
%patch24 -p1 -b .localecrash
%patch26 -p0 -b .dndorder
%patch27 -p0 -b .clistfocusrow
%patch28 -p1 -b .bellvolume
%patch29 -p1 -b .libtool
%patch30 -p1 -b .gtkgdkdep
%patch31 -p1 -b .underquoted
%patch32 -p1 -b .ppc64
%patch33 -p1 -b .no_undefined
%patch34 -p1 -b .multilib
%patch35 -p1 -b .unused-deps
%patch36 -b .autotools
%patch37 -b .format

# The original config.{guess,sub} do not work on x86_64, aarch64 etc.
#
# The following /usr/lib cannot be %%_libdir !!
cp -p /usr/lib/rpm/config.{guess,sub} .

# Recode docs as UTF-8
for doc in ChangeLog examples/calendar/calendar.c; do
	iconv -f iso-8859-1 -t utf-8 < ${doc} > ${doc}.utf8
	mv ${doc}.utf8 ${doc}
done

%build
LIBTOOL=/usr/bin/libtool \
%configure \
	--disable-static \
	--with-xinput=xfree \
	--with-native-locale

make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
make install DESTDIR=%{buildroot} LIBTOOL=/usr/bin/libtool INSTALL="install -p"

#
# Make cleaned-up versions of examples and tutorial for installation
#
./mkinstalldirs tmpdocs/tutorial
install -p -m0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/*; do
	if [ -d $dir ]; then
		./mkinstalldirs tmpdocs/$dir
		for file in $dir/* ; do
			case $file in
			*pre1.2.7)
				;;
			*)
				install -p -m0644 $file tmpdocs/$dir
				;;
			esac
		done
	fi
done

install -p -m644 -D %{SOURCE1} %{buildroot}/etc/gtk/gtkrc

# Install some extra gtkrc files to improve functioning of GTK+
# in UTF-8 locales for Chinese, Japanese, Korean.
for i in %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6}; do
	install -p -m0644 $i %{buildroot}/etc/gtk/
done

# We don't ship the info files
rm -rf %{buildroot}%{_infodir}

# .la fies... die die die.
rm -rf %{buildroot}%{_libdir}/lib*.la
# despite use of --disable-static, delete static libs that get built anyway
rm -rf %{buildroot}%{_libdir}/lib*.a

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%post -n %{develname}
%_install_info gtk.info
%_install_info gdk.info

%preun -n %{develname}
if [ "$1" = "0" ]; then
	%{__install_info} \
	%{_infodir}/gdk.info%{_extension} --dir=%{_infodir}/dir --remove
fi
if [ "$1" = "0" ]; then
	%{__install_info} \
	%{_infodir}/gtk.info%{_extension} --dir=%{_infodir}/dir --remove
fi

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname} -f %{name}.lang
%defattr(-, root, root)
%doc INSTALL ABOUT-NLS
%{_libdir}/lib*.so.*
%{_datadir}/themes
%dir %{_sysconfdir}/gtk
%config(noreplace) %{_sysconfdir}/gtk/*

%files -n %{develname}
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README* TODO docs/html
%{_libdir}/lib*.so
%{_mandir}/man1/*
%{_includedir}/*
%{_datadir}/aclocal/*
%multiarch %{multiarch_bindir}/*
%{_bindir}/*
%{_libdir}/pkgconfig/*


%changelog
* Tue Apr 23 2019 tex - 1.2.10-51pclos2019
- rebuild against updates

* Fri Feb 19 2015 bb <bb> 1.2.10-50pclos2015
- rebuild for new glibc

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 1.2.10-49pclos2011
- rebuild no custom gtkrc

* Mon Sep 26 2011 Texstar <texstar at gmail.com> 1.2.10-48pclos2011
- update for 64bit
